import java.io.*;
import java.net.*;

public class DayTimeTCP {
    public static final int DAYTIME_PORT = 13; // See: RFC 867
    public static void main(String []args) {
	if (args.length!=1) {
	    System.out.println("Usage: DayTimeTCP <host>");
	    System.exit(1);
	}
	try {
	    Socket chaussette = new Socket(args[0],DAYTIME_PORT);
	    BufferedReader tubeLecture = new BufferedReader(new InputStreamReader(chaussette.getInputStream()));
	    String lu = tubeLecture.readLine();
	    System.out.println("Voici l'heure sur "+args[0]+": "+lu);
	    tubeLecture.close();
	} catch(Exception e) {
	    System.out.println(e);
	    e.printStackTrace();
	}
	System.exit(0);
    }
}