import java.io.*;
import java.net.*;

public class FingerTCP {
    public static final int FINGER_PORT = 79; // See: RFC 1288
    public static void main(String []args) {
	if (args.length!=2) {
	    System.out.println("Usage: FingerTCP <host> <username>");
	    System.exit(1);
	}
	try {
	    Socket chaussette = new Socket(args[0],FINGER_PORT);
	    PrintWriter tubeEcriture = new PrintWriter(chaussette.getOutputStream());
	    BufferedReader tubeLecture = new BufferedReader(new InputStreamReader(chaussette.getInputStream()));
	    tubeEcriture.println(args[1]);
	    tubeEcriture.flush();

	    System.out.println("Voici le resultat de finger "+args[1]+" sur "+args[0]);
	    String lu=null;
	    while ((lu=tubeLecture.readLine())!=null) {
		System.out.println(lu);
	    }
	    tubeLecture.close();
	    tubeEcriture.close();
	} catch(Exception e) {
	    System.out.println(e);
	    e.printStackTrace();
	}
	System.exit(0);
    }
}